List pending buyer account requests
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"intakeId": "<string>",
"grantId": "<string>",
"relationshipId": "<string>",
"accountId": "<string>",
"displayName": "<string>",
"operatorDomain": "<string>",
"brandDomain": "<string>",
"sandbox": true,
"buyerCustomerId": "<string>",
"requestedBilling": "<string>",
"policy": {
"id": "<string>",
"version": 4503599627370495,
"outcome": "requires_review"
},
"crmMatchStatus": "not_configured",
"evidence": {},
"version": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"caseId": "<string>",
"caseStatus": "open",
"blockedOnParty": "buyer",
"pendingRequestId": "<string>",
"pendingRequestMessage": "<string>",
"pendingRequestExpiresAt": "2023-11-07T05:31:56Z",
"pendingRequestSetupUrl": "<string>",
"owner": {
"id": "<string>",
"name": "<string>"
},
"ageSeconds": 4503599627370495,
"slaDueAt": "2023-11-07T05:31:56Z",
"billingGate": {
"required": true,
"status": "not_required",
"assertionId": "<string>",
"billingEntity": {
"legalName": "<string>",
"vatId": "<string>",
"taxId": "<string>",
"registrationNumber": "<string>"
}
}
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List pending buyer account requests
List non-authorizing buyer intake cases awaiting a seller decision, including policy and CRM-match evidence plus the optimistic-lock version required for each decision.
GET
/
account-mappings
/
reviews
List pending buyer account requests
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"intakeId": "<string>",
"grantId": "<string>",
"relationshipId": "<string>",
"accountId": "<string>",
"displayName": "<string>",
"operatorDomain": "<string>",
"brandDomain": "<string>",
"sandbox": true,
"buyerCustomerId": "<string>",
"requestedBilling": "<string>",
"policy": {
"id": "<string>",
"version": 4503599627370495,
"outcome": "requires_review"
},
"crmMatchStatus": "not_configured",
"evidence": {},
"version": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"caseId": "<string>",
"caseStatus": "open",
"blockedOnParty": "buyer",
"pendingRequestId": "<string>",
"pendingRequestMessage": "<string>",
"pendingRequestExpiresAt": "2023-11-07T05:31:56Z",
"pendingRequestSetupUrl": "<string>",
"owner": {
"id": "<string>",
"name": "<string>"
},
"ageSeconds": 4503599627370495,
"slaDueAt": "2023-11-07T05:31:56Z",
"billingGate": {
"required": true,
"status": "not_required",
"assertionId": "<string>",
"billingEntity": {
"legalName": "<string>",
"vatId": "<string>",
"taxId": "<string>",
"registrationNumber": "<string>"
}
}
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Required range:
0 <= x <= 9007199254740991Required range:
1 <= x <= 100Required string length:
1 - 255